## icingadb-redis 6.2.6.20220530.1351+bullseye

=== debian/changelog ===
icingadb-redis (6.2.6.20220530.1351+bullseye-0) icinga-bullseye-snapshots; urgency=medium

  * Snapshot build for version 6.2.6 based on GIT commit
    a328cbf755c2099373f60ab0bfaf8330ea8dbb32 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Mon, 30 May 2022 13:51:28 +0000

icingadb-redis (6.2.6-2) icinga; urgency=medium

  * Add icinga-redis as conflicting package

 -- Henrik Triem <henrik.triem@icinga.com>  Tue, 11 Nov 2021 11:00:00 +0100

icingadb-redis (6.2.6-1) icinga; urgency=medium

  * Update upstream to 6.2.6

 -- Henrik Triem <henrik.triem@icinga.com>  Tue, 27 Oct 2021 11:00:00 +0100

redis (5:6.2.6-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
      redis-sentinel parsing large multi-bulk replies on some older and less
      common platforms.

    - CVE-2021-32687: Integer to heap buffer overflow with intsets, when
      set-max-intset-entries is manually configured to a non-default, very
      large value.

    - CVE-2021-32675: Denial Of Service when processing RESP request payloads
      with a large number of elements on many connections.

    - CVE-2021-32672: Random heap reading issue with Lua Debugger.

    - CVE-2021-32628: Integer to heap buffer overflow handling ziplist-encoded
      data types, when configuring a large, non-default value for
      hash-max-ziplist-entries, hash-max-ziplist-value,
      zset-max-ziplist-entries or zset-max-ziplist-value.

    - CVE-2021-32627: Integer to heap buffer overflow issue with streams, when
      configuring a non-default, large value for proto-max-bulk-len and
      client-query-buffer-limit.

    - CVE-2021-32626: Specially crafted Lua scripts may result with Heap
      buffer overflow.

    - CVE-2021-41099: Integer to heap buffer overflow handling certain string
      commands and network payloads, when proto-max-bulk-len is manually
      configured to a non-default, very large value.

  * Refresh patches.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Oct 2021 14:33:02 +0100

redis (5:6.2.5-4) experimental; urgency=medium

  * Use /run instead of /var/run for PID and UNIX socket files. Thanks to
    @MichaIng-guest for the patch. (Closes: lamby/pkg-redis!5)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Aug 2021 11:48:59 +0100

redis (5:6.2.5-3) experimental; urgency=medium

  * Skip OOM-related tests on incompatible platforms. (Closes: #982122)

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Aug 2021 14:26:17 +0100

redis (5:6.2.5-2) experimental; urgency=medium

  * Explicitly specify USE_JEMALLOC to override upstream's detection of ARM
    systems. This was affecting reproducibility as the aarch64 kernel flavour
    was using Jemalloc whilst armv7l was not.
  * Increase the verbosity of logging when testing. (Re: #991476)

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Aug 2021 16:45:54 +0100

redis (5:6.2.5-1) experimental; urgency=medium

  * New upstream security release:
    - CVE-2021-32761: Integer overflow issues with BITFIELD command
      on 32-bit systems.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Jul 2021 22:17:19 +0100

redis (5:6.2.4-1) experimental; urgency=medium

  * CVE-2021-32625: Fix a vulnerability in the STRALGO LCS command.
    (Closes: #989351)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jun 2021 17:33:02 +0100

redis (5:6.2.3-1) experimental; urgency=medium

  * New upstream security release:
    - CVE-2021-29477: Vulnerability in the STRALGO LCS command.
    - CVE-2021-29478: Vulnerability in the COPY command for large intsets.
    (Closes: #988045)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 May 2021 11:00:25 +0100

redis (5:6.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Apply wrap-and-sort -sa.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Apr 2021 12:37:27 +0100

redis (5:6.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Mar 2021 11:09:08 +0000

redis (5:6.2.0-1) experimental; urgency=medium

  * New upstream release, incorporating some security fixes. (Closes: 983446)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2021 10:52:50 +0000

redis (5:6.2~rc3-1) experimental; urgency=medium

  * New upstream RC release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Feb 2021 10:10:59 +0000

redis (5:6.2~rc2-2) experimental; urgency=medium

  * Also remove the /etc/redis directory in purge.
  * Allow /etc/redis to be rewritten. Thanks to Yossi Gottlieb for the patch.
    (Closes: #981000)

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Jan 2021 12:46:25 +0000

redis (5:6.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Jan 2021 12:46:23 +0000

redis (5:6.2~rc1-3) experimental; urgency=medium

  * Specify "--supervised systemd" now that we specify "Type=notify" to prevent
    failure under systemd. Thanks to Michael Prokop for the report.

 -- Chris Lamb <lamby@debian.org>  Wed, 23 Dec 2020 10:36:55 +0000

redis (5:6.2~rc1-2) experimental; urgency=medium

  [ Michael Prokop ]
  * Enable systemd support by compiling against libsystemd-dev.
    (Closes: #977852)

  [ Chris Lamb ]
  * Use Type=notify to use systemd supervisor when generating our systemd
    service files.
  * Explicitly request systemd support when building the package.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Dec 2020 12:27:42 +0000

redis (5:6.2~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - Update patches.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 19 Dec 2020 11:19:11 +0000

redis (5:6.0.1-1) experimental; urgency=medium



## icingadb-redis 8.2.5

=== modules/redisjson/Makefile ===
SRC_DIR = src
MODULE_VERSION = v8.2.9
MODULE_REPO = https://github.com/redisjson/redisjson
TARGET_MODULE = $(SRC_DIR)/bin/$(FULL_VARIANT)/rejson.so

include ../common.mk

$(SRC_DIR)/.cargo_fetched:
	cd $(SRC_DIR) && cargo fetch

get_source: $(SRC_DIR)/.cargo_fetched

## icingadb-redis 6.2.6.20220530.1351+buster

=== debian/changelog ===
icingadb-redis (6.2.6.20220530.1351+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 6.2.6 based on GIT commit
    a328cbf755c2099373f60ab0bfaf8330ea8dbb32 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Mon, 30 May 2022 13:51:34 +0000

=== debian/control ===
Source: icingadb-redis
Section: database
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper,
 dpkg-dev (>= 1.17.14),
 libhiredis-dev (>= 0.14.0),
 libjemalloc-dev [linux-any],
 liblua5.1-dev,
 liblzf-dev,
 libssl-dev,
 libsystemd-dev,
 lua-bitop-dev,
 lua-cjson-dev,
 openssl <!nocheck>,
 pkg-config,
 procps <!nocheck>,
 tcl <!nocheck>,
 tcl-tls <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://redis.io/
Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
Rules-Requires-Root: no

Package: icingadb-redis
Architecture: all
Depends:
 icingadb-redis-server (<< ${binary:Version}.1~),
 icingadb-redis-server (>= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 icinga-redis,
Description: Persistent key-value database with network interface (metapackage)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package depends on the redis-server package.

Package: icingadb-redis-sentinel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 icingadb-redis-tools (= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (monitoring)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the Redis Sentinel monitoring software.

Package: icingadb-redis-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 icingadb-redis-tools (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 icinga-redis-server,
Description: Persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: icingadb-redis-tools
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ruby-redis,
Replaces:
 redis-server (<< 2:2.6.16-1),
Breaks:
 redis-server (<< 2:2.6.16-1),
Conflicts:
 icinga-redis-tools,
Description: Persistent key-value database with network interface (client)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the command line client and other tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

# Try and use these Lua modules shipped in Debian...
LUA_LIBS_DEBIAN = cjson bitop

# ... which are not always called their "C" names
LUA_LIBS_DEBIAN_NAMES = cjson bit

# ... but fallback to these currently unpackaged ones.
LUA_LIBS_BUNDLED = struct cmsgpack

LUA_OBJECTS = $(addprefix lua_,$(addsuffix .o,$(LUA_LIBS_BUNDLED)))
LUA_LDFLAGS = $(addprefix -llua5.1-,$(LUA_LIBS_DEBIAN)) $(addprefix ../deps/lua/src/,$(LUA_OBJECTS))

export BUILD_TLS = yes
export CFLAGS CPPFLAGS LDFLAGS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/liblzf
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic -llzf $(LUA_LDFLAGS)

# Build jemelloc in parallel
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
	export MAKEFLAGS
endif

%:
	dh $@

debian/lua_libs_debian.c:
	echo "// Automatically generated; do not edit." >$@
	echo "luaLoadLib(lua, LUA_LOADLIBNAME, luaopen_package);" >>$@
	set -e; for X in $(LUA_LIBS_DEBIAN_NAMES); do \
		echo "if (luaL_dostring(lua, \"$$X = require('$$X');\"))" >>$@; \
		echo "    serverLog(LL_NOTICE, \"Error loading $$X library\");" >>$@; \
	done
	echo 'luaL_dostring(lua, "module = nil; require = nil;");' >>$@

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/release.h debian/*.service debian/lua_libs_debian.c

override_dh_auto_build: debian/lua_libs_debian.c
	mv redis.conf icingadb-redis.conf
	mv sentinel.conf icingadb-sentinel.conf 
	# Build the non-bundled Lua libraries
	dh_auto_build --sourcedirectory=deps/lua/src -- $(LUA_OBJECTS)
	
	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no USE_SYSTEMD=yes USE_JEMALLOC=yesEMD=yes

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Avoid race conditions in upstream testsuite.
	# Generate a root CA and server certificate for testing
	./utils/gen-test-certs.sh
	# Avoid race conditions in upstream testsuite
	./runtest --clients 1 --verbose --dump-logs --tls || true
	./runtest-cluster --tls || true
	./runtest-sentinel || true
endif

override_dh_auto_install:
	debian/bin/generate-systemd-service-files

override_dh_compress:
	dh_compress -Xredis-trib.rb

override_dh_installchangelogs:
	dh_installchangelogs --keep 00-RELEASENOTES

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(alpha|beta|rc)/~$1/ \
	https://github.com/redis/redis/releases .*/([^/]+).tar.gz

## icingadb-redis 7.0.5.20221018.1315+buster

=== debian/changelog ===
icingadb-redis (7.0.5.20221018.1315+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 7.0.5 based on GIT commit 7.0.5 WARNING:
    this build is intended for testing and experimental usage and should
    not be used in a production environment!

 -- Icinga.com <info@icinga.com>  Tue, 18 Oct 2022 13:15:28 +0000

icingadb-redis (7.0.5-1) icinga; urgency=medium

  * Update upstream to 7.0.5

 -- Henrik Triem <henrik.triem@icinga.com>  Fri, 14 Oct 2022 11:00:00 +0100

icingadb-redis (7.0.2-1) icinga; urgency=medium

  * Update upstream to 7.0.2

 -- Henrik Triem <henrik.triem@icinga.com>  Tue, 21 Jun 2022 11:00:00 +0100

icingadb-redis (7.0.0-1) icinga; urgency=medium

  * Update upstream to 7.0.0

 -- Henrik Triem <henrik.triem@icinga.com>  Tue, 19 May 2022 11:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
+ dh-exec,
  dpkg-dev (>= 1.17.14),
  libhiredis-dev (>= 0.14.0),
  libjemalloc-dev [linux-any],
@@ -18,7 +19,7 @@
  procps <!nocheck>,
  tcl <!nocheck>,
  tcl-tls <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis

## icingadb-redis 7.0.5.20221019.1105+buster

=== debian/changelog ===
icingadb-redis (7.0.5.20221019.1105+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 7.0.5 based on GIT commit 7.0.5 WARNING:
    this build is intended for testing and experimental usage and should
    not be used in a production environment!

 -- Icinga.com <info@icinga.com>  Wed, 19 Oct 2022 11:05:35 +0000

## icingadb-redis 7.0.12

=== debian/changelog ===
icingadb-redis (7.0.12-1+ubuntu20.04) icinga; urgency=medium

  * Release 7.0.12-1

 -- Icinga GmbH <info@icinga.com>  Wed, 06 Sep 2023 09:36:45 +0000

redis (5:7.0.11-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-28856: Authenticated users could have used the HINCRBYFLOAT
      command to create an invalid hash field that would have crashed the Redis
      server on access. (Closes: #1034613)

    For more information, please see:

      https://raw.githubusercontent.com/redis/redis/7.0/00-RELEASENOTES

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Apr 2023 07:38:23 +0100

redis (5:7.0.10-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-28425: Unauthenticated users could have used the MSETNX command
      to trigger a runtime assertion and termination of the Redis server
      process. (Closes: #1033340)
  * Refresh patches.
  * Bump Standards-Version.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Mar 2023 13:04:38 +0000

redis (5:7.0.9-1) unstable; urgency=high

  * New upstream security release:
     - CVE-2023-25155: Authenticated users issuing specially crafted
       `SRANDMEMBER`, `ZRANDMEMBER`, and `HRANDFIELD` commands can trigger an
       integer overflow, resulting in a runtime assertion and termination of the
       Redis server process. (Closes: #1032279)
     - CVE-2022-36021:  Authenticated users can use string matching commands
       (like `SCAN` or `KEYS`) with a specially crafted pattern to trigger a
       denial-of-service attack on Redis, causing it to hang and consume 100%
       CPU time.
  * Refresh patches.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 04 Mar 2023 11:01:59 +0000

redis (5:7.0.8-4) unstable; urgency=medium

  * Correct "delaycompress" typo in redis-server.logrotate, not just
    redis-sentinel.logrotate. (Closes: #1031750)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Feb 2023 16:48:01 -0800

redis (5:7.0.8-3) unstable; urgency=medium

  * Correct "delaycompress" typo. (Closes: #1031206)

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Feb 2023 08:39:23 -0800

redis (5:7.0.8-2) unstable; urgency=medium

  * Add delaycompess to logrotate configuration. Thanks, Marc Haber.
    (Closes: #1029844)

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Jan 2023 08:11:34 -0800

redis (5:7.0.8-1) unstable; urgency=high

  * New upstream release.
    <https://raw.githubusercontent.com/redis/redis/7.0/00-RELEASENOTES>
  * CVE-2023-22458: Integer overflow in the Redis HRANDFIELD and ZRANDMEMBER
    commands may have led to denial-of-service. (Closes: #1029363)
  * CVE-2022-35977: Integer overflow in the Redis SETRANGE and SORT/SORT_RO
    commands could have driven Redis to an OOM panic.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Jan 2023 08:46:14 -0800

redis (5:7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Dec 2022 10:21:39 +0000

redis (5:7.0.5-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2022-35951: Fix a heap overflow vulnerability in XAUTOCLAIM.
      Executing an XAUTOCLAIM command on a stream key in a specific state, with
      a specially crafted COUNT argument may have caused an integer overflow, a
      subsequent heap overflow and potentially lead to remote code execution.
      (Closes: #1020512)
  * Refresh patches.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2022 11:12:24 +0100

redis (5:7.0.4-1) unstable; urgency=high

  * New upstream security release.
  * CVE-2022-31144: Prevent a potential heap overflow in Redis 7.0's
    XAUTOCLAIM command.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jul 2022 15:49:44 +0100

redis (5:7.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jul 2022 07:27:57 +0100

redis (5:7.0.2-2) unstable; urgency=medium

  * Add /lib to allowed ExecPaths to support both usr-merged and non-usr-merged
    systems. Thanks to Christian Göttsche for the report. (Closes: #1013172)

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2022 11:12:13 +0100

redis (5:7.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0005-Fix-crash-when-systemd-ProcSubset-pid.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 14:34:25 +0100

redis (5:7.0.1-4) unstable; urgency=medium

  * Upload 7.x branch to unstable.
  * Update gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:07 +0100

redis (5:7.0.1-3) experimental; urgency=medium

  * Fix crash when systemd's ProcSubset=pid. /proc/sys/vm/overcommit_memory was
    inaccessible and a log warning message was incorrectly constructed.
  * Add missing CPPFLAGS when building hdr_histogram.
  * Update Lintian overrides:
    - Ignore maintainer-manual-page warnings.
    - Ignore very-long-line-length-in-source-file warnings.
  * Update my entry in debian/copyright.
  * Update and renumber patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:03 +0100

redis (5:7.0.1-2) experimental; urgency=medium

  * Drop support (in patches, etc.) for using the systemwide hiredis and Lua,
    reverting to using the built-in cjson (etc.). (Closes: #1012658)
  * Add an internal timeout for the cluster tests to prevent FTBFS.
    (Closes: #1011187)
  * Drop a duplicate comment in debian/rules.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jun 2022 15:41:53 +0100

redis (5:7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2022 07:34:58 +0100

redis (5:7.0.0-1) experimental; urgency=medium

  * New upstream release.
    - Disable, hopefully temporarily, the use of the systemwide Lua due to


=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  procps <!nocheck>,
  tcl <!nocheck>,
  tcl-tls <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis

## icingadb-redis 7.0.15

=== debian/changelog ===
icingadb-redis (7.0.15-1+ubuntu22.04) icinga; urgency=medium

  * Release 7.0.15-1

 -- Icinga GmbH <info@icinga.com>  Wed, 26 Jun 2024 10:57:23 +0000

=== debian/control ===
Source: icingadb-redis
Section: database
Priority: optional
Maintainer: Icinga GmbH <info@icinga.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  gcc,
  libssl-dev,
  libsystemd-dev,
  make,
  tcl
Standards-Version: 4.6.1
Homepage: https://www.icinga.com

Package: icingadb-redis
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Replaces: icingadb-redis-server (<< 7.0.13), icingadb-redis-tools (<< 7.0.13),
  icingadb-redis-sentinel (<< 7.0.13), icingadb-redis-tools-dbgsym (<< 7.0.13)
Breaks: icingadb-redis-server (<< 7.0.13), icingadb-redis-tools (<< 7.0.13),
  icingadb-redis-sentinel (<< 7.0.13), icingadb-redis-tools-dbgsym (<< 7.0.13)
Description: Icinga DB is a set of components for publishing,
  synchronizing and visualizing monitoring data in the Icinga ecosystem.
  This provides a dedicated Redis server for Icinga DB.

Package: icingadb-redis-server
Architecture: all
Depends: icingadb-redis (>= 7.0.13)
Description: This is a transitional package and can safely be removed.

Package: icingadb-redis-tools
Architecture: all
Depends: icingadb-redis (>= 7.0.13)
Description: This is a transitional package and can safely be removed.

Package: icingadb-redis-sentinel
Architecture: all
Depends: icingadb-redis (>= 7.0.13)
Description: This is a transitional package and can safely be removed.

Package: icingadb-redis-tools-dbgsym
Architecture: all
Depends: icingadb-redis (>= 7.0.13)
Description: This is a transitional package and can safely be removed.

## icingadb-redis 7.0.15+0.gf35f36a26

=== debian/changelog ===
icingadb-redis (7.0.15+0.gf35f36a26-1719398945+ubuntu23.10) icinga; urgency=medium

  * Release 7.0.15+0.gf35f36a26-1719398945

 -- Icinga GmbH <info@icinga.com>  Wed, 26 Jun 2024 10:49:38 +0000

## icingadb-redis 7.2.6

=== debian/changelog ===
icingadb-redis (7.2.6-2+debian11) icinga; urgency=medium

  * Release 7.2.6-2

 -- Icinga GmbH <info@icinga.com>  Fri, 25 Oct 2024 15:29:01 +0000

## icingadb-redis 7.2.6+0.gae6a2aa95

=== debian/changelog ===
icingadb-redis (7.2.6+0.gae6a2aa95-1730134983+ubuntu24.10) icinga; urgency=medium

  * Release 7.2.6+0.gae6a2aa95-1730134983

 -- Icinga GmbH <info@icinga.com>  Mon, 28 Oct 2024 17:03:41 +0000

## icingadb-redis 7.2.9

=== debian/changelog ===
icingadb-redis (7.2.9-2+debian12) icinga; urgency=medium

  * Release 7.2.9-2

 -- Icinga GmbH <info@icinga.com>  Wed, 18 Jun 2025 07:16:10 +0000

## icingadb-redis 7.2.10

=== debian/changelog ===
icingadb-redis (7.2.10-1+ubuntu25.04) icinga; urgency=medium

  * Release 7.2.10-1

 -- Icinga GmbH <info@icinga.com>  Wed, 16 Jul 2025 12:12:26 +0000

## icingadb-redis 7.2.10+0.g5a752e197

=== debian/changelog ===
icingadb-redis (7.2.10+0.g5a752e197-1754923347+debian13) icinga; urgency=medium

  * Release 7.2.10+0.g5a752e197-1754923347

 -- Icinga GmbH <info@icinga.com>  Mon, 11 Aug 2025 14:42:52 +0000

## icingadb-redis 7.2.11

=== debian/changelog ===
icingadb-redis (7.2.11-1+debian11) icinga; urgency=medium

  * Release 7.2.11-1

 -- Icinga GmbH <info@icinga.com>  Tue, 07 Oct 2025 08:43:51 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BUILD_TLS=yes USE_SYSTEMD=yes

override_dh_auto_test:
	./runtest --tags unit

## icingadb-redis 7.2.11+0.gd4c381df7

=== debian/changelog ===
icingadb-redis (7.2.11+0.gd4c381df7-1760628959+ubuntu25.10) icinga; urgency=medium

  * Release 7.2.11+0.gd4c381df7-1760628959

 -- Icinga GmbH <info@icinga.com>  Thu, 16 Oct 2025 15:36:13 +0000

=== debian/control ===
Source: icingadb-redis
Section: database
Priority: optional
Maintainer: Icinga GmbH <info@icinga.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  gcc,
  libssl-dev,
  libsystemd-dev,
  make,
  tcl
Standards-Version: 4.6.1
Homepage: https://www.icinga.com

Package: icingadb-redis
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Replaces: icingadb-redis-server (<< 7.0.13), icingadb-redis-tools (<< 7.0.13),
  icingadb-redis-sentinel (<< 7.0.13), icingadb-redis-tools-dbgsym (<< 7.0.13)
Breaks: icingadb-redis-server (<< 7.0.13), icingadb-redis-tools (<< 7.0.13),
  icingadb-redis-sentinel (<< 7.0.13), icingadb-redis-tools-dbgsym (<< 7.0.13)
Description: Icinga DB is a set of components for publishing,
  synchronizing and visualizing monitoring data in the Icinga ecosystem.
  This provides a dedicated Redis server for Icinga DB.

## icingadb-redis 7.2.12

=== debian/changelog ===
icingadb-redis (7.2.12-1+ubuntu25.10) icinga; urgency=medium

  * Release 7.2.12-1

 -- Icinga GmbH <info@icinga.com>  Mon, 03 Nov 2025 07:25:22 +0000

## icingadb-redis 8.2.3

=== debian/changelog ===
icingadb-redis (8.2.3-1+ubuntu25.10) icinga; urgency=medium

  * Release 8.2.3-1

 -- Icinga GmbH <info@icinga.com>  Mon, 26 Jan 2026 16:55:30 +0000

## icingadb-redis 8.2.3+0.gceb01e158

=== debian/changelog ===
icingadb-redis (8.2.3+0.gceb01e158-1769446447+debian12) icinga; urgency=medium

  * Release 8.2.3+0.gceb01e158-1769446447

 -- Icinga GmbH <info@icinga.com>  Mon, 26 Jan 2026 16:54:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
   debhelper-compat (= 13),
   dh-exec,
   gcc,
+  g++,
+  libjemalloc-dev,
   libssl-dev,
   libsystemd-dev,
   make,
@@ -16,6 +18,7 @@
 Package: icingadb-redis
 Architecture: any
 Depends:
+  adduser,
   ${misc:Depends},
   ${shlibs:Depends}
 Replaces: icingadb-redis-server (<< 7.0.13), icingadb-redis-tools (<< 7.0.13),

## icingadb-redis 8.2.4

=== debian/changelog ===
icingadb-redis (8.2.4-1+ubuntu25.10) icinga; urgency=medium

  * Release 8.2.4-1

 -- Icinga GmbH <info@icinga.com>  Mon, 09 Feb 2026 08:23:22 +0000

## icingadb-redis 8.2.5

=== debian/changelog ===
icingadb-redis (8.2.5-1+ubuntu25.10) icinga; urgency=medium

  * Release 8.2.5-1

 -- Icinga GmbH <info@icinga.com>  Mon, 23 Feb 2026 10:48:17 +0000
